<?php

//
// Ce fichier ne sera execute qu'une fois
if (defined("_INC_ADMIN")) return;
define("_INC_ADMIN", "1");


//
// Afficher un bouton admin
//

function bouton_admin($titre, $lien) {
	$link = new Link($lien);
	$link->delVar('submit');
	echo $link->getForm('GET');
	echo "<input type='submit' name='submit' value=\"".attribut_html($titre)."\" class='spip_bouton'>\n";
	echo "</form>";
}

function afficher_boutons_admin() {
	global $id_article, $id_breve, $id_rubrique, $id_mot, $id_auteur;
	include_ecrire("inc_filtres.php3");
	include_ecrire("inc_lang.php3");

	// regler les boutons dans la langue de l'admin (sinon tant pis)
	if ($login = addslashes(ereg_replace('^@','',$GLOBALS['spip_admin']))) {
		$q = spip_query("SELECT lang FROM spip_auteurs WHERE login='$login'");
		$row = spip_fetch_array($q);
		$lang = $row['lang'];
	}
	lang_select($lang);

	echo '<div class="spip-admin" dir="'.lang_dir($lang,'ltr','rtl').'">';

	// debut ajout PBresson
	$activer_revision		= lire_meta("activer_revision");
	$expiration_warn_delai	= lire_meta("expiration_warn_delai");

	$auteur	= $GLOBALS['auteur_session']['id_auteur'];

	if ($activer_revision != 'non') {

		if ($auteur>0) {
			$q = spip_query("SELECT count(*) count from spip_articles, spip_auteurs_articles AS lien  WHERE spip_articles.id_article=lien.id_article AND lien.id_auteur=$auteur AND date_exp != 0 AND DATE_SUB( date_exp, INTERVAL ".$expiration_warn_delai." DAY ) <= NOW() order by date_exp;");
			$row = spip_fetch_array($q);
			$count = $row['count'];
			
			if ($count>0)
				bouton_admin("$count "._T('admin_afficher_expires'), "./ecrire/articles_page.php3");
		}
	}
	// fin ajout PBresson

	if ($id_article) {
		bouton_admin(_T('admin_modifier_article')." ($id_article)", "./ecrire/articles.php3?id_article=$id_article");
	}
	else if ($id_breve) {
		bouton_admin(_T('admin_modifier_breve')." ($id_breve)", "./ecrire/breves_voir.php3?id_breve=$id_breve");
	}
	else if ($id_rubrique) {
		bouton_admin(_T('admin_modifier_rubrique')." ($id_rubrique)", "./ecrire/naviguer.php3?coll=$id_rubrique");
	}
	else if ($id_mot) {
		bouton_admin(_T('admin_modifier_mot')." ($id_mot)", "./ecrire/mots_edit.php3?id_mot=$id_mot");
	}
	else if ($id_auteur) {
		bouton_admin(_T('admin_modifier_auteur')." ($id_auteur)", "./ecrire/auteurs_edit.php3?id_auteur=$id_auteur");
	}
	$link = $GLOBALS['clean_link'];
	$link->addVar('recalcul', 'oui');
	$link->delVar('submit');
	echo $link->getForm('GET');
	if ($GLOBALS['use_cache']) $pop = " *";
	else $pop = "";
	echo "<input type='submit' class='spip_bouton' name='submit' value=\"".attribut_html(_T('admin_recalculer')).$pop."\">";
	echo "</form>\n";

	if (lire_meta("activer_statistiques") != "non" AND $id_article AND ($GLOBALS['auteur_session']['statut'] == '0minirezo')) {
		include_local ("inc-stats.php3");
		afficher_raccourci_stats($id_article);
	}

	echo "</div>";

	lang_dselect();
}


?>
